summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoonas Niilola <juippis@gentoo.org>2020-08-09 09:44:39 +0300
committerJoonas Niilola <juippis@gentoo.org>2020-08-09 10:13:56 +0300
commit924742c75fda580701838e7af38d6a7af0db6da3 (patch)
tree5e73263cd8cc24b91c83085a798b70febb704074
parentdev-ruby/mixlib-shellout: add ruby27 (diff)
downloadgentoo-924742c75fda580701838e7af38d6a7af0db6da3.tar.gz
gentoo-924742c75fda580701838e7af38d6a7af0db6da3.tar.bz2
gentoo-924742c75fda580701838e7af38d6a7af0db6da3.zip
net-mail/notmuch: install deprecated python bindings on 0.30
- There are still some packages in ::gentoo repo that depend on the deprecated 'notmuch' python modules. As other major distributions still provide these bindings, we should enable them too and give some extra time for other upstreams to update into using 'notmuch2'. Closes: https://bugs.gentoo.org/736204 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--net-mail/notmuch/notmuch-0.30-r1.ebuild (renamed from net-mail/notmuch/notmuch-0.30.ebuild)6
1 files changed, 6 insertions, 0 deletions
diff --git a/net-mail/notmuch/notmuch-0.30.ebuild b/net-mail/notmuch/notmuch-0.30-r1.ebuild
index 9ef69706432..2806d20a9ff 100644
--- a/net-mail/notmuch/notmuch-0.30.ebuild
+++ b/net-mail/notmuch/notmuch-0.30-r1.ebuild
@@ -87,6 +87,12 @@ bindings() {
${@}
rc=${?}
popd || die
+
+ # Old deprecated bindings, #736204
+ pushd bindings/python || die
+ ${@}
+ rc=${?}
+ popd || die
fi
return ${rc}
}